This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 60621 - Wrong modules in updated php
Wrong modules in updated php
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-02 15:32 EST by Michal Jaegermann
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-19 04:34:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-03-02 15:32:34 EST
Description of Problem:

Attempt to restart a server, with a working configuration, after a security
update to php-4.0.6-9.7.1 results in the following entries in log files:

[Sat Mar  2 13:11:49 2002] [notice] SIGHUP received.  Attempting to restart
PHP Warning:  imap: Unable to initialize module
Module compiled with debug=0, thread-safety=0 module API=20001222
PHP compiled with debug=0, thread-safety=0 module API=20001214
These options need to match
 in Unknown on line 0
PHP Warning:  ldap: Unable to initialize module
Module compiled with debug=0, thread-safety=0 module API=20001222
PHP compiled with debug=0, thread-safety=0 module API=20001214
These options need to match
 in Unknown on line 0

Both 'imap' and 'ldap' does not seem to be turned on by a default
so likely this was missed.

Version-Release number of selected component (if applicable):
php-4.0.6-9.7.1

How Reproducible:
totally
Comment 1 Joe Orton 2002-12-19 04:34:40 EST
Presuming this is fixed in the 4.1.2 errata packages for 7.1, where "php-ldap"
etc have a requirement on the exact same version of "php" which should prevent
ABI mismatches.

Note You need to log in before you can comment on or make changes to this bug.